# Compare and deploy a template for product catalog to a tenant Compare and deploy a template for product catalog to a tenant. Endpoint: POST /deployment-manager/deployments/template/product_catalog Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Request fields (multipart/form-data): - `name` (string, required) Deployment's name. Example: "Deploy PC" - `description` (string, required) Deployment's description. Example: "Import Product Catalog - template" - `sendEmail` (boolean, required) Specifies if an email should be sent. Example: true - `emails` (string) If sendEmail parameter is set to true, comma separated values of emails can be specified. Example: "zuoraUser1@zuora.com,zuoraUser2@zuora.com" - `comments` (string) Content of the email to be sent. Example: "Import Product Catalog - template" - `template` (string, required) Template file. Example: "@/Users/praghav/Downloads/products.json" - `inActiveProducts` (boolean, required) Specifies if inactive products needs to be migrated. - `activeProducts` (boolean, required) Specifies if active products needs to be migrated. Example: true - `activeRatePlans` (boolean, required) Specifies if active rate plans needs to be migrated. Example: true - `inActiveRatePlans` (boolean, required) Specifies if inactive rate plans needs to be migrated. Example: true - `compareField` (string, required) Specifies the compare field to be using during migration. Enum: "name", "sku" ## Response 200 fields (application/json): - `id` (string) ID of the Deployment Manager migration process - `status` (string) Status of the Deployment Manager migration process Enum: "DEPLOYING", "REVERTING", "PARTIALLY-REVERTED", "FAILED", "ROLLBACK-FAILED", "REVERTED", "COMPARING", "SUBMITTED", "SKIPPED", "IDENTICAL", "COMPARE-DONE", "COMPARE-FAILED", "CANCELLED"